package com.caimei365.user.model.dto;

import lombok.Data;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/11/7
 */
@Data
public class BehaviorRecordDto {
    /**
     * 用户id
     */
    private Integer userId;
    /**
     * 页面路径
     */
    private String pagePath;
    /**
     * 页面类型
     */
    private String pageType;
    /**
     * 页面标签
     */
    private String pageLabel;
    /**
     * 用户行为类型1：用户行为记录、2：ROOS页面统计
     */
    private String behaviorType;
    /**
     * 商品id
     */
    private Integer productId;
    /**
     * 访问时长
     */
    private String accessDuration;
}
