package com.caimei365.user.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/12/16
 */
@Data
public class LoginCodeDto implements Serializable {

    /**
     * 手机号或邮箱
     */
    @ApiModelProperty("手机号或邮箱")
    private String mobileOrEmail;
    /**
     * 密码
     */
    @ApiModelProperty("密码")
    private String password;
    /**
     * 手机号
     */
    @ApiModelProperty("手机号")
    private String mobile;

    /**
     * 短信验证码
     */
    @ApiModelProperty("验证码")
    private String code;

    /**
     * 微信unionId
     */
    @ApiModelProperty("微信unionId")
    private String unionId;

    /**
     * 短信、密码
     * 0 密码 1短信
     */
    private String codeType;
}
