package com.caimei365.user.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/19
 */
@ApiModel("添加运营人员")
@Data
public class OperationDto implements Serializable {

    private Integer id;
    /**
     * 手机号码
     */
    @ApiModelProperty("手机号码")
    private String mobile;
    /**
     * 联系人
     */
    @ApiModelProperty("姓名")
    private String linkName;
    /**
     * 用户Id
     */
    @ApiModelProperty("用户Id")
    private Integer userId;
    /**
     * 会所ID：隶属于哪个会所的运营人员
     */
    @ApiModelProperty("机构Id")
    private Integer clubId;
    /**
     * 供应商Id
     */
    @ApiModelProperty("供应商Id")
    private Integer shopId;
    /**
     * 确认标志
     */
    @ApiModelProperty("确认标志")
    private Integer configFlag;

}
