package com.caimei365.user.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;


/**
 * Description
 * @author Aslee
 * @version 2021-12-10
 */
@ApiModel("供应商百科商品列表Vo")
@Data
public class BaikeProductListVo {
	/**
	 * 百科商品id
	 */
	private Integer productId;

	/**
	 * 分类：1产品，2仪器
	 */
	private Integer commodityType;

	/**
	 * 名称
	 */
	private String name;

	/**
	 * 分类名称
	 */
	private String typeName;

	/**
	 * 阅读量
	 */
	private Integer actualPv;

	/**
	 * 发布时间
	 */
	private Date publishTime;

	/**
	 * 审核状态：1待审核，2审核通过，3审核失败
	 */
	private Integer auditStatus;

	/**
	 * 百科上线状态：1待上线，2已上线，3已下线
	 */
	private Integer onlineStatus;

    /**
     * 审核失败原因
     */
    private String failReason;

	/**
	 * 空数据条数
	 */
	private Integer emptyNum;

	/**
	 * 添加时间
	 */
	private Date addTime;

	/**
	 * 状态：0停用，1启用
	 */
	private Integer status;
}