package com.caimei365.user.model.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/3/15
 */
@Data
public class TownVo implements Serializable {
    private Integer townId;

    /**
     * 所在城市Id
     */
    private Integer cityId;

    /**
     * 名称
     */
    private String name;

    /**
     * 邮编
     */
    private String zip;

    /**
     * 电话区号
     */
    private String telZip;

    /**
     * 是否可用，1可用
     */
    private String validFlag;

    private static final long serialVersionUID = 1L;
}
